POST /v1/organizations/{orgId}/sessions
Create a new wallet session key

Path Parameters

orgId string required path
Organization ID

Request Body required

Session parameters

application/json
One of:
Option 1
Option 2
expiresAt string REQUIRED
installs object[] REQUIRED
Keep `max` in sync with MaxInstallsPerSession (validator tags must be literals).
Array of:
chainId integer REQUIRED
serialized string REQUIRED
policies object REQUIRED
sessionAddress string REQUIRED
walletId string REQUIRED
workflowId string

Responses

200 OK
application/json
createdAt string
sessionAddress string
sessionGroupId string
sessions object[]
Array of:
chainId integer
expiresAt string
id string
walletId string
400 Bad Request
401 Unauthorized
404 Not Found
500 Internal Server Error
curl -X POST 'https://api.example.com/v1/organizations/string/sessions' \  -H 'Authorization: Bearer YOUR_API_TOKEN' \  -H 'Content-Type: application/json' \  -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/sessions', {  method: 'POST',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN",      "Content-Type": "application/json"  },  body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/organizations/string/sessions', headers=headers, json={})print(response.json())
package mainimport (	"fmt"	"io"	"net/http"	"strings")func main() {	body := strings.NewReader(`{}`)	req, _ := http.NewRequest("POST", "https://api.example.com/v1/organizations/string/sessions", body)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	req.Header.Set("Content-Type", "application/json")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "createdAt": "<string>",  "sessionAddress": "<string>",  "sessionGroupId": "<string>",  "sessions": [    {      "chainId": 123,      "expiresAt": "<string>",      "id": "<string>"    }  ],  "walletId": "<string>"}
Ask a question... ⌘I